<?php

/**
 * @file
 *
 * Template file for the OpinionLab Javascript code - Floating version
 *
 */
?>


<script type="text/javascript" language="JavaScript">
/* OnlineOpinion v<?php print $olvar['version'] ?> */
/* This product and other products of OpinionLab, Inc. are protected by U.S.
   Patent No. 6606581, 6421724, 6785717 B1 and other patents pending. */
/* Create new OnlineOpinion Object instance */
var oOobj1 = new OnlineOpinion.ocode();
/* OnlineOpinion Object Preferences */
oOobj1.Preferences = {
  /* Configure Object Persistence (REQUIRED) */
  Persistence: {
    enabled: <?php print $olvar['persistence_enabled'] ?>,           // Disappear onClick
    cookie_name: '<?php print $olvar['persistence_cookie_name'] ?>', // cookie name
    cookie_type: '<?php print $olvar['persistence_cookie_type'] ?>', // Remembers which page got rated
    expiration: <?php print $olvar['persistence_expiration'] ?>      // How long to remember each page got Rated (secs)
  },
  /* Configure Object Parameters (REQUIRED) */
  Render: {
    type: '<?php print $olvar['render_type'] ?>',
    main_div_id: '<?php print $olvar['render_main_div_id'] ?>',
    main_content_id: '<?php print $olvar['render_main_content_id'] ?>',
    float_style: '<?php print $olvar['render_float_style'] ?>',
    img_path: '<?php print $olvar['render_img_path'] ?>',
    feedback_html: '<?php print $olvar['render_feedback_html'] ?>',
    click_html: '<?php print $olvar['render_click_html'] ?>'
  },
  Plugins: {
    /* Configure URL Rewrite (optional) */
    URLRewrite: {
      active: <?php print $olvar['plugin_urlrewrite_active'] ?>,
      regex_search_pattern: '<?php print $olvar['plugin_urlrewrite_regex_search_pattern'] ?>' ,
      regex_replace_pattern: '<?php print $olvar['plugin_urlrewrite_regex_replace_pattern'] ?>',
      full_url_rewrite: '<?php print $olvar['plugin_urlrewrite_full_url_rewrite'] ?>'
    },
    /* Configure Embedded Comment Card (optional) */
    CardOnPage: {
      enabled: <?php print $olvar['plugin_cardonpage_enabled'] ?>,
      close_link: '<?php print $olvar['plugin_cardonpage_close_link'] ?>'
    }
  }
}
/* Configure Custom Variables to Accompany Survey (optional) */
// oOobj1.Metrics.custom.clientID = 1234;
// oOobj1.Metrics.custom.countryCode = "usa";
/* Object Registration (REQUIRED for [+] Floating Icon) */
OnlineOpinion.util.SafeAddOnLoadEvent(function(){oOobj1.render(function(){oOobj1.show()})});
/*  OnlineOpinion v<?php print $olvar['version'] ?>, Copyright <?php print $olvar['copyright_year'] ?> Opinionlab, Inc. */
</script>
